<?php
$style = '';
if ( has_post_thumbnail() ) {
    $style = 'background-image:url(' . wp_get_attachment_image_url( get_post_thumbnail_id(), 'full' ) . ');';
} else {
    $style = 'background-color:#e5e5e5;';
}
?>
<div class="post-inner" style="<?php echo esc_attr( $style ); ?>">
    <?php ocolus_post_thumbnail( 960, 1080 ); ?>
    <div class="post-info">
        <?php
        ocolus_post_category();
        ocolus_post_title();
        ocolus_post_excerpt();
        ?>
    </div>
</div>